import java.io.PrintWriter;
import java.io.File;
import java.util.Scanner;
public class first {
public static void main(String [] args) throws Exception{
Scanner s = new Scanner(new File("quotient.in"));
double a=s.nextDouble();
long b=s.nextLong();
s.close();
PrintWriter p= new PrintWriter(new File("quotient.out"));
if (b==0)p.print("Na nol' delit' nel'zya!!!"); 
else p.print((long)a/b);
p.close();
}
}
